OCF_PACEMAKER_ATTRIB(7)

NAME
ocf_pacemaker_attribute - Manages a node attribute

SYNOPSIS

OCF_RESKEY_state=string [OCF_RESKEY_name=string] [OCF_RESKEY_active_value=string] [OCF_RESKEY_inactive_value=string] attribute [start | stop | monitor | reload | migrate_to | migrate_from | validate-all | meta-data]

DESCRIPTION

This resource agent controls a node attribute for the node it's running on. It sets the attribute one way when started, and another way when stopped, according to the configuration parameters.

SUPPORTED PARAMETERS

OCF_RESKEY_state = string [/var/run/opa-undef.state]
    State file

    Full path of a temporary file to store the resource state in

OCF_RESKEY_name = string [opa-undef]
    Attribute name

    Name of node attribute to manage

OCF_RESKEY_active_value = string [1]
    Attribute value when active

    Value to use for node attribute when resource becomes active (empty string is discouraged, because monitor cannot distinguish it from a query error)

OCF_RESKEY_inactive_value = string [0]
    Attribute value when inactive

    Value to use for node attribute when resource becomes inactive

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.